package org.jeecg.modules.shop.captcha.enums;

import lombok.Getter;

@Getter
public enum CaptchaTypeEnum {

    /**
     * 合作伙伴登录
     */
    SUPPLIER_LOGIN("partner_login");


    private final String type;
    
    CaptchaTypeEnum(String type) {
        this.type = type;
    }
    
    public static boolean isValidType(String type) {
        for (CaptchaTypeEnum e : values()) {
            if (e.getType().equals(type)) {
                return true;
            }
        }
        return false;
    }
}
